Index: /trunk/include/functions.inc.php
===================================================================
--- /trunk/include/functions.inc.php	(revision 4324)
+++ /trunk/include/functions.inc.php	(revision 4325)
@@ -45,5 +45,5 @@
   // columns are 'Field', 'Type'
   $result = pwg_query('desc '.$table);
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     // we are only interested in the the field given in parameter for the
@@ -60,5 +60,5 @@
     }
   }
-  mysql_free_result($result);
+  pwg_db_free_result($result);
   return $options;
 }
@@ -597,52 +597,4 @@
 }
 
-function pwg_query($query)
-{
-  global $conf,$page,$debug,$t2;
-
-  $start = get_moment();
-  ($result = mysql_query($query)) or my_error($query, $conf['die_on_sql_error']);
-
-  $time = get_moment() - $start;
-
-  if (!isset($page['count_queries']))
-  {
-    $page['count_queries'] = 0;
-    $page['queries_time'] = 0;
-  }
-
-  $page['count_queries']++;
-  $page['queries_time']+= $time;
-
-  if ($conf['show_queries'])
-  {
-    $output = '';
-    $output.= '<pre>['.$page['count_queries'].'] ';
-    $output.= "\n".$query;
-    $output.= "\n".'(this query time : ';
-    $output.= '<b>'.number_format($time, 3, '.', ' ').' s)</b>';
-    $output.= "\n".'(total SQL time  : ';
-    $output.= number_format($page['queries_time'], 3, '.', ' ').' s)';
-    $output.= "\n".'(total time      : ';
-    $output.= number_format( ($time+$start-$t2), 3, '.', ' ').' s)';
-    if ( $result!=null and preg_match('/\s*SELECT\s+/i',$query) )
-    {
-      $output.= "\n".'(num rows        : ';
-      $output.= mysql_num_rows($result).' )';
-    }
-    elseif ( $result!=null
-      and preg_match('/\s*INSERT|UPDATE|REPLACE|DELETE\s+/i',$query) )
-    {
-      $output.= "\n".'(affected rows   : ';
-      $output.= mysql_affected_rows().' )';
-    }
-    $output.= "</pre>\n";
-
-    $debug .= $output;
-  }
-
-  return $result;
-}
-
 function pwg_debug( $string )
 {
@@ -904,42 +856,4 @@
 
   return $thumbnail_title;
-}
-
-// my_error returns (or send to standard output) the message concerning the
-// error occured for the last mysql query.
-function my_error($header, $die)
-{
-  $error = "[mysql error ".mysql_errno().'] '.mysql_error()."\n";
-  $error .= $header;
-
-  if ($die)
-  {
-    fatal_error($error);
-  }
-  echo("<pre>");
-  trigger_error($error, E_USER_WARNING);
-  echo("</pre>");
-}
-
-
-/**
- * creates an array based on a query, this function is a very common pattern
- * used here
- *
- * @param string $query
- * @param string $fieldname
- * @return array
- */
-function array_from_query($query, $fieldname)
-{
-  $array = array();
-
-  $result = pwg_query($query);
-  while ($row = mysql_fetch_assoc($result))
-  {
-    array_push($array, $row[$fieldname]);
-  }
-
-  return $array;
 }
 
@@ -1122,5 +1036,5 @@
   WHERE '.$conf['user_fields']['id'].' = '.$conf['webmaster_id'].'
 ;';
-  list($email) = mysql_fetch_row(pwg_query($query));
+  list($email) = pwg_db_fetch_row(pwg_query($query));
 
   return $email;
@@ -1143,10 +1057,10 @@
   $result = pwg_query($query);
 
-  if ((mysql_num_rows($result) == 0) and !empty($condition))
+  if ((pwg_db_num_rows($result) == 0) and !empty($condition))
   {
     fatal_error('No configuration data');
   }
 
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $conf[ $row['param'] ] = isset($row['value']) ? $row['value'] : '';
@@ -1193,5 +1107,5 @@
 
   $result = pwg_query($query);
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $array[ $row[$keyname] ] = $row[$valuename];
@@ -1214,5 +1128,5 @@
   $array = array();
   $result = pwg_query($query);
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $array[ $row[$keyname] ] = $row;
@@ -1585,5 +1499,5 @@
     // Use MySql date in order to standardize all recent "actions/queries"
     list($cache['get_icon']['sql_recent_date']) =
-      mysql_fetch_row(pwg_query('select SUBDATE(
+      pwg_db_fetch_row(pwg_query('select SUBDATE(
       CURRENT_DATE,INTERVAL '.$user['recent_period'].' DAY)'));
   }
Index: /trunk/include/functions_category.inc.php
===================================================================
--- /trunk/include/functions_category.inc.php	(revision 4324)
+++ /trunk/include/functions_category.inc.php	(revision 4325)
@@ -102,5 +102,5 @@
   $cats = array();
   $selected_category = isset($page['category']) ? $page['category'] : null;
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $child_date_last = @$row['max_date_last']> @$row['date_last'];
@@ -166,5 +166,5 @@
   WHERE id = '.$id.'
 ;';
-  $cat = mysql_fetch_assoc(pwg_query($query));
+  $cat = pwg_db_fetch_assoc(pwg_query($query));
   if (empty($cat))
     return null;
@@ -241,5 +241,5 @@
     $query.= ' FROM '.CATEGORIES_TABLE.' WHERE id = '.$category_id;
     $query.= ';';
-    $row = mysql_fetch_assoc( pwg_query( $query ) );
+    $row = pwg_db_fetch_assoc( pwg_query( $query ) );
     $uppercats = $row['uppercats'];
   }
@@ -252,5 +252,5 @@
   $query.= ';';
   $result = pwg_query( $query );
-  while( $row = mysql_fetch_assoc( $result ) )
+  while( $row = pwg_db_fetch_assoc( $result ) )
   {
     $database_dirs[$row['id']] = $row['dir'];
@@ -276,5 +276,5 @@
     AND c.id = '.$category_id.'
 ;';
-  $row = mysql_fetch_assoc(pwg_query($query));
+  $row = pwg_db_fetch_assoc(pwg_query($query));
   return $row['galleries_url'];
 }
@@ -345,5 +345,5 @@
   if (!empty($result))
   {
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       array_push($categories, $row);
@@ -385,5 +385,5 @@
 
   $subcats = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($subcats, $row['id']);
@@ -534,5 +534,5 @@
 LIMIT 1';
 
-      $show_link = mysql_num_rows(pwg_query($query)) <> 0;
+      $show_link = pwg_db_num_rows(pwg_query($query)) <> 0;
     }
   }
Index: /trunk/include/functions_comment.inc.php
===================================================================
--- /trunk/include/functions_comment.inc.php	(revision 4324)
+++ /trunk/include/functions_comment.inc.php	(revision 4325)
@@ -101,5 +101,5 @@
   FROM '.USERS_TABLE.'
   WHERE '.$conf['user_fields']['username']." = '".addslashes($comm['author'])."'";
-      $row = mysql_fetch_assoc( pwg_query( $query ) );
+      $row = pwg_db_fetch_assoc( pwg_query( $query ) );
       if ( $row['user_exists'] == 1 )
       {
@@ -139,5 +139,5 @@
   WHERE date > FROM_UNIXTIME('.$reference_date.')
     AND author_id = '.$comm['author_id'];
-    if ( mysql_num_rows( pwg_query( $query ) ) > 0 )
+    if ( pwg_db_num_rows( pwg_query( $query ) ) > 0 )
     {
       array_push( $infos, l10n('comment_anti-flood') );
@@ -169,5 +169,5 @@
     pwg_query($query);
 
-    $comm['id'] = mysql_insert_id();
+    $comm['id'] = pwg_db_insert_id();
 
     if (($comment_action=='validate' and $conf['email_admin_on_comment']) or
@@ -267,5 +267,5 @@
   WHERE date > FROM_UNIXTIME('.$reference_date.')
     AND author_id = '.$comm['author_id'];
-    if ( mysql_num_rows( pwg_query( $query ) ) > 0 )
+    if ( pwg_db_num_rows( pwg_query( $query ) ) > 0 )
     {
       //?? array_push( $infos, l10n('comment_anti-flood') );
Index: /trunk/include/functions_mail.inc.php
===================================================================
--- /trunk/include/functions_mail.inc.php	(revision 4324)
+++ /trunk/include/functions_mail.inc.php	(revision 4325)
@@ -352,5 +352,5 @@
   if (!empty($datas))
   {
-    while ($admin = mysql_fetch_assoc($datas))
+    while ($admin = pwg_db_fetch_assoc($datas))
     {
       if (!empty($admin['mail_address']))
@@ -448,8 +448,8 @@
   $result = pwg_query($query);
 
-  if (mysql_num_rows($result) > 0)
+  if (pwg_db_num_rows($result) > 0)
   {
     $list = array();
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       $row['template_theme'] = $row['template'];
@@ -477,8 +477,8 @@
       $result = pwg_query($query);
 
-      if (mysql_num_rows($result) > 0)
+      if (pwg_db_num_rows($result) > 0)
       {
         $Bcc = array();
-        while ($row = mysql_fetch_assoc($result))
+        while ($row = pwg_db_fetch_assoc($result))
         {
           if (!empty($row['mail_address']))
Index: /trunk/include/functions_notification.inc.php
===================================================================
--- /trunk/include/functions_notification.inc.php	(revision 4324)
+++ /trunk/include/functions_notification.inc.php	(revision 4325)
@@ -146,5 +146,5 @@
     $query = 'SELECT count(distinct '.$field_id.') as CountId
 '.$query;
-    list($count) = mysql_fetch_row(pwg_query($query));
+    list($count) = pwg_db_fetch_row(pwg_query($query));
     return $count;
 
@@ -179,5 +179,5 @@
     $infos = array();
 
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       array_push($infos, $row);
@@ -449,5 +449,5 @@
   $result = pwg_query($query);
   $dates = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($dates, $row);
@@ -469,5 +469,5 @@
       $dates[$i]['elements'] = array();
       $result = pwg_query($query);
-      while ($row = mysql_fetch_assoc($result))
+      while ($row = pwg_db_fetch_assoc($result))
       {
         array_push($dates[$i]['elements'], $row);
@@ -489,5 +489,5 @@
       $dates[$i]['categories'] = array();
       $result = pwg_query($query);
-      while ($row = mysql_fetch_assoc($result))
+      while ($row = pwg_db_fetch_assoc($result))
       {
         array_push($dates[$i]['categories'], $row);
Index: /trunk/include/functions_plugins.inc.php
===================================================================
--- /trunk/include/functions_plugins.inc.php	(revision 4324)
+++ /trunk/include/functions_plugins.inc.php	(revision 4325)
@@ -239,5 +239,5 @@
   $result = pwg_query($query);
   $plugins = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($plugins, $row);
Index: /trunk/include/functions_rate.inc.php
===================================================================
--- /trunk/include/functions_rate.inc.php	(revision 4324)
+++ /trunk/include/functions_rate.inc.php	(revision 4325)
@@ -125,5 +125,5 @@
   WHERE element_id = '.$image_id.'
 ;';
-  $row = mysql_fetch_assoc(pwg_query($query));
+  $row = pwg_db_fetch_assoc(pwg_query($query));
   $query = '
 UPDATE '.IMAGES_TABLE.'
Index: /trunk/include/functions_search.inc.php
===================================================================
--- /trunk/include/functions_search.inc.php	(revision 4324)
+++ /trunk/include/functions_search.inc.php	(revision 4325)
@@ -42,5 +42,5 @@
   WHERE id = '.$search_id.'
 ;';
-  list($serialized_rules) = mysql_fetch_row(pwg_query($query));
+  list($serialized_rules) = pwg_db_fetch_row(pwg_query($query));
 
   return unserialize($serialized_rules);
@@ -459,5 +459,5 @@
   $by_weights=array();
   $result = pwg_query($query);
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   { // weight is important when sorting images by relevance
     if ($row['weight'])
@@ -490,5 +490,5 @@
   GROUP BY image_id';
       $result = pwg_query($query);
-      while ($row = mysql_fetch_assoc($result))
+      while ($row = pwg_db_fetch_assoc($result))
       { // weight is important when sorting images by relevance
         $image_id=(int)$row['image_id'];
@@ -511,5 +511,5 @@
     );
   $result = pwg_query($query);
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   { // weight is important when sorting images by relevance
     if ($row['nb_images']==0)
Index: /trunk/include/functions_session.inc.php
===================================================================
--- /trunk/include/functions_session.inc.php	(revision 4324)
+++ /trunk/include/functions_session.inc.php	(revision 4325)
@@ -122,5 +122,5 @@
   if ($result)
   {
-    $row = mysql_fetch_assoc($result);
+    $row = pwg_db_fetch_assoc($result);
     return $row['data'];
   }
Index: /trunk/include/functions_tag.inc.php
===================================================================
--- /trunk/include/functions_tag.inc.php	(revision 4324)
+++ /trunk/include/functions_tag.inc.php	(revision 4325)
@@ -64,5 +64,5 @@
   $result = pwg_query($query);
   $tags = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $counter = @$tag_counters[ $row['id'] ];
@@ -89,5 +89,5 @@
   $result = pwg_query($query);
   $tags = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($tags, $row);
@@ -250,5 +250,5 @@
   $result = pwg_query($query);
   $tags = array();
-  while($row = mysql_fetch_assoc($result))
+  while($row = pwg_db_fetch_assoc($result))
   {
     array_push($tags, $row);
@@ -312,5 +312,5 @@
   $result = pwg_query($query);
   $tags = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($tags, $row);
Index: /trunk/include/functions_user.inc.php
===================================================================
--- /trunk/include/functions_user.inc.php	(revision 4324)
+++ /trunk/include/functions_user.inc.php	(revision 4325)
@@ -59,5 +59,5 @@
 '.(is_numeric($user_id) ? 'and '.$conf['user_fields']['id'].' != \''.$user_id.'\'' : '').'
 ;';
-    list($count) = mysql_fetch_row(pwg_query($query));
+    list($count) = pwg_db_fetch_row(pwg_query($query));
     if ($count != 0)
     {
@@ -111,10 +111,10 @@
   FROM '.USERS_TABLE.'
 ;';
-    list($next_id) = mysql_fetch_row(pwg_query($query));
+    list($next_id) = pwg_db_fetch_row(pwg_query($query));
 
     $insert =
       array(
         $conf['user_fields']['id'] => $next_id,
-        $conf['user_fields']['username'] => mysql_real_escape_string($login),
+        $conf['user_fields']['username'] => pwg_db_real_escape_string($login),
         $conf['user_fields']['password'] => $conf['pass_convert']($password),
         $conf['user_fields']['email'] => $mail_address
@@ -135,5 +135,5 @@
 
       $inserts = array();
-      while ($row = mysql_fetch_assoc($result))
+      while ($row = pwg_db_fetch_assoc($result))
       {
         array_push
@@ -250,5 +250,5 @@
   WHERE '.$conf['user_fields']['id'].' = \''.$user_id.'\'';
 
-  $row = mysql_fetch_assoc(pwg_query($query));
+  $row = pwg_db_fetch_assoc(pwg_query($query));
 
   while (true)
@@ -260,5 +260,5 @@
   WHERE ui.user_id = \''.$user_id.'\'';
     $result = pwg_query($query);
-    if (mysql_num_rows($result) > 0)
+    if (pwg_db_num_rows($result) > 0)
     {
       break;
@@ -270,5 +270,5 @@
   }
 
-  $row = array_merge($row, mysql_fetch_assoc($result));
+  $row = array_merge($row, pwg_db_fetch_assoc($result));
 
   foreach ($row as $key => $value)
@@ -325,5 +325,5 @@
   WHERE category_id NOT IN ('.$userdata['forbidden_categories'].')
     AND image_id '.$userdata['image_access_type'].' ('.$userdata['image_access_list'].')';
-      list($userdata['nb_total_images']) = mysql_fetch_row(pwg_query($query));
+      list($userdata['nb_total_images']) = pwg_db_fetch_row(pwg_query($query));
 
 
@@ -429,5 +429,5 @@
   $result = pwg_query($query);
   $authorizeds = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($authorizeds, $row['image_id']);
@@ -441,5 +441,5 @@
   $result = pwg_query($query);
   $favorites = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($favorites, $row['image_id']);
@@ -482,5 +482,5 @@
 ;';
   $result = pwg_query($query);
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     array_push($private_array, $row['id']);
@@ -524,5 +524,5 @@
 ;';
     $result = pwg_query($query);
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       array_push($forbidden_array, $row['id']);
@@ -648,5 +648,5 @@
 
   $cats = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $row['user_id'] = $userdata['id'];
@@ -693,5 +693,5 @@
   global $conf;
 
-  $username = mysql_real_escape_string($username);
+  $username = pwg_db_real_escape_string($username);
 
   $query = '
@@ -702,5 +702,5 @@
   $result = pwg_query($query);
 
-  if (mysql_num_rows($result) == 0)
+  if (pwg_db_num_rows($result) == 0)
   {
     return false;
@@ -708,5 +708,5 @@
   else
   {
-    list($user_id) = mysql_fetch_row($result);
+    list($user_id) = pwg_db_fetch_row($result);
     return $user_id;
   }
@@ -728,5 +728,5 @@
   WHERE id = \''.$key.'\'
 ;';
-    list($count) = mysql_fetch_row(pwg_query($query));
+    list($count) = pwg_db_fetch_row(pwg_query($query));
     if (0 == $count)
     {
@@ -751,5 +751,5 @@
 
     $result = pwg_query($query);
-    $cache['default_user'] = mysql_fetch_assoc($result);
+    $cache['default_user'] = pwg_db_fetch_assoc($result);
 
     if ($cache['default_user'] !== false)
@@ -866,5 +866,5 @@
   {
     $inserts = array();
-    list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+    list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
 
     $default_user = get_default_user_info(false);
@@ -931,7 +931,7 @@
 WHERE '.$conf['user_fields']['id'].' = '.$user_id;
   $result = pwg_query($query);
-  if (mysql_num_rows($result) > 0)
-  {
-    $row = mysql_fetch_assoc($result);
+  if (pwg_db_num_rows($result) > 0)
+  {
+    $row = pwg_db_fetch_assoc($result);
     $username = stripslashes($row['username']);
     $data = $time.stripslashes($row['username']).$row['password'];
@@ -1042,5 +1042,5 @@
   WHERE '.$conf['user_fields']['username'].' = \''.mysql_real_escape_string($username).'\'
 ;';
-  $row = mysql_fetch_assoc(pwg_query($query));
+  $row = pwg_db_fetch_assoc(pwg_query($query));
   if ($row['password'] == $conf['pass_convert']($password))
   {
Index: /trunk/include/picture_comment.inc.php
===================================================================
--- /trunk/include/picture_comment.inc.php	(revision 4324)
+++ /trunk/include/picture_comment.inc.php	(revision 4325)
@@ -94,5 +94,5 @@
   FROM '.COMMENTS_TABLE.'
   WHERE image_id='.$page['image_id']." AND validated = 'true'";
-  $row = mysql_fetch_assoc( pwg_query( $query ) );
+  $row = pwg_db_fetch_assoc( pwg_query( $query ) );
 
   // navigation bar creation
@@ -141,5 +141,5 @@
     $result = pwg_query( $query );
 
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       if (!empty($row['author']))
Index: /trunk/include/picture_rate.inc.php
===================================================================
--- /trunk/include/picture_rate.inc.php	(revision 4324)
+++ /trunk/include/picture_rate.inc.php	(revision 4325)
@@ -38,5 +38,5 @@
   WHERE element_id = '.$picture['current']['id'].'
 ;';
-    $row = mysql_fetch_assoc(pwg_query($query));
+    $row = pwg_db_fetch_assoc(pwg_query($query));
   }
   else
@@ -68,7 +68,7 @@
 
       $result = pwg_query($query);
-      if (mysql_num_rows($result) > 0)
+      if (pwg_db_num_rows($result) > 0)
       {
-        $row = mysql_fetch_assoc($result);
+        $row = pwg_db_fetch_assoc($result);
         $user_rate = $row['rate'];
       }
Index: /trunk/include/ws_functions.inc.php
===================================================================
--- /trunk/include/ws_functions.inc.php	(revision 4324)
+++ /trunk/include/ws_functions.inc.php	(revision 4325)
@@ -257,5 +257,5 @@
   $result = pwg_query($query);
   $cats = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $row['id'] = (int)$row['id'];
@@ -296,5 +296,5 @@
 
     $result = pwg_query($query);
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       $image = array();
@@ -406,5 +406,5 @@
 
   $cats = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $row['url'] = make_index_url(
@@ -472,5 +472,5 @@
   $cats = array();
 
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     $id = $row['id'];
@@ -518,5 +518,5 @@
       ' AND'
     );
-  if ( !mysql_num_rows( pwg_query( $query ) ) )
+  if ( !pwg_db_num_rows( pwg_query( $query ) ) )
   {
     return new PwgError(WS_ERR_INVALID_PARAM, "Invalid image_id");
@@ -578,5 +578,5 @@
 LIMIT 1';
 
-  $image_row = mysql_fetch_assoc(pwg_query($query));
+  $image_row = pwg_db_fetch_assoc(pwg_query($query));
   if ($image_row==null)
   {
@@ -599,5 +599,5 @@
   $is_commentable = false;
   $related_categories = array();
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     if ($row['commentable']=='true')
@@ -656,5 +656,5 @@
   WHERE element_id = '.$image_row['id'].'
 ;';
-  $rating = mysql_fetch_assoc(pwg_query($query));
+  $rating = pwg_db_fetch_assoc(pwg_query($query));
   $rating['count'] = (int)$rating['count'];
 
@@ -687,5 +687,5 @@
 
     $result = pwg_query($query);
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       $row['id']=(int)$row['id'];
@@ -758,5 +758,5 @@
     ).'
     LIMIT 1';
-  if ( mysql_num_rows( pwg_query($query) )==0 )
+  if ( pwg_db_num_rows( pwg_query($query) )==0 )
   {
     return new PwgError(404, "Invalid image_id or access denied" );
@@ -814,5 +814,5 @@
     $image_ids = array_flip($image_ids);
     $result = pwg_query($query);
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       $image = array();
@@ -871,5 +871,5 @@
   WHERE id IN ('.implode(',',$params['image_id']).')';
   $result = pwg_query($query);
-  $affected_rows = mysql_affected_rows();
+  $affected_rows = pwg_db_affected_rows();
   if ($affected_rows)
   {
@@ -1008,5 +1008,5 @@
   WHERE md5sum = \''.$params['original_sum'].'\'
 ;';
-  list($counter) = mysql_fetch_row(pwg_query($query));
+  list($counter) = pwg_db_fetch_row(pwg_query($query));
   if ($counter != 0) {
     return new PwgError(500, 'file already exists');
@@ -1014,5 +1014,5 @@
 
   // current date
-  list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+  list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
   list($year, $month, $day) = preg_split('/[^\d]/', $dbnow, 4);
 
@@ -1200,5 +1200,5 @@
     );
 
-  $image_id = mysql_insert_id();
+  $image_id = pwg_db_insert_id();
 
   // let's add links between the image and the categories
@@ -1359,5 +1359,5 @@
   GROUP BY image_id';
       $result = pwg_query($query);
-      while ( $row=mysql_fetch_assoc($result) )
+      while ( $row=pwg_db_fetch_assoc($result) )
       {
         $row['image_id'] = (int)$row['image_id'];
@@ -1402,5 +1402,5 @@
 
     $result = pwg_query($query);
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       $image = array();
@@ -1573,5 +1573,5 @@
 ;';
 
-  $image_row = mysql_fetch_assoc(pwg_query($query));
+  $image_row = pwg_db_fetch_assoc(pwg_query($query));
   if ($image_row == null)
   {
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 4324)
+++ /trunk/install.php	(revision 4325)
@@ -365,5 +365,5 @@
     // make PWG avoid upgrading, we must tell it upgrades have already been
     // made.
-    list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+    list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
     define('CURRENT_DATE', $dbnow);
     $datas = array();
Index: /trunk/install/db/1-database.php
===================================================================
--- /trunk/install/db/1-database.php	(revision 4324)
+++ /trunk/install/db/1-database.php	(revision 4325)
@@ -33,5 +33,5 @@
 // +-----------------------------------------------------------------------+
 
-list($now) = mysql_fetch_row(pwg_query('SELECT NOW()'));
+list($now) = pwg_db_fetch_row(pwg_query('SELECT NOW()'));
 echo
 $now
Index: /trunk/install/db/12-database.php
===================================================================
--- /trunk/install/db/12-database.php	(revision 4324)
+++ /trunk/install/db/12-database.php	(revision 4325)
@@ -67,5 +67,5 @@
 $datas = array();
 
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   array_push(
Index: /trunk/install/db/18-database.php
===================================================================
--- /trunk/install/db/18-database.php	(revision 4324)
+++ /trunk/install/db/18-database.php	(revision 4325)
@@ -48,5 +48,5 @@
 $datas = array();
 
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   array_push(
Index: /trunk/install/db/19-database.php
===================================================================
--- /trunk/install/db/19-database.php	(revision 4324)
+++ /trunk/install/db/19-database.php	(revision 4325)
@@ -69,5 +69,5 @@
 ;';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   foreach(preg_split('/[,]+/', $row['keywords']) as $keyword)
Index: /trunk/install/db/20-database.php
===================================================================
--- /trunk/install/db/20-database.php	(revision 4324)
+++ /trunk/install/db/20-database.php	(revision 4325)
@@ -48,5 +48,5 @@
 
 $datas = array();
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   array_push(
Index: /trunk/install/db/65-database.php
===================================================================
--- /trunk/install/db/65-database.php	(revision 4324)
+++ /trunk/install/db/65-database.php	(revision 4325)
@@ -109,5 +109,5 @@
   GROUP BY language';
   $result = pwg_query($query);
-  while ( $row=mysql_fetch_assoc($result) )
+  while ( $row=pwg_db_fetch_assoc($result) )
   {
     $language = $row["language"];
@@ -142,5 +142,5 @@
   WHERE user_id='.$conf['webmaster_id'];
   $result = pwg_query($query);
-  if (mysql_num_rows($result)==0)
+  if (pwg_db_num_rows($result)==0)
   {
     $query='
@@ -151,5 +151,5 @@
   }
 
-  if ( $row=mysql_fetch_assoc($result) )
+  if ( $row=pwg_db_fetch_assoc($result) )
   {
     $admin_charset = $all_langs[$row['language']]['charset'];
@@ -166,5 +166,5 @@
   $query = 'SHOW TABLES LIKE "'.$prefixeTable.'%"';
   $result = pwg_query($query);
-  while ( $row=mysql_fetch_assoc($result) )
+  while ( $row=pwg_db_fetch_assoc($result) )
   {
     array_push($all_tables, $row[0]);
@@ -177,5 +177,5 @@
     $result = pwg_query($query);
     $field_definitions=array();
-    while ( $row=mysql_fetch_assoc($result) )
+    while ( $row=pwg_db_fetch_assoc($result) )
     {
       if ( !isset($row['Collation']) or $row['Collation']=='NULL' )
Index: /trunk/install/db/8-database.php
===================================================================
--- /trunk/install/db/8-database.php	(revision 4324)
+++ /trunk/install/db/8-database.php	(revision 4325)
@@ -61,5 +61,5 @@
 $query = 'SELECT param FROM '.PREFIX_TABLE.'config';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   unset( $params[ $row['param'] ] );
Index: /trunk/install/db/9-database.php
===================================================================
--- /trunk/install/db/9-database.php	(revision 4324)
+++ /trunk/install/db/9-database.php	(revision 4325)
@@ -48,5 +48,5 @@
 $datas = array();
 
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   array_push(
Index: /trunk/install/upgrade_1.3.0.php
===================================================================
--- /trunk/install/upgrade_1.3.0.php	(revision 4324)
+++ /trunk/install/upgrade_1.3.0.php	(revision 4325)
@@ -85,5 +85,5 @@
 ;';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   if (!isset($row['id_uppercat']) or $row['id_uppercat'] == '')
Index: /trunk/install/upgrade_1.3.1.php
===================================================================
--- /trunk/install/upgrade_1.3.1.php	(revision 4324)
+++ /trunk/install/upgrade_1.3.1.php	(revision 4325)
@@ -43,5 +43,5 @@
   FROM '.PREFIX_TABLE.'config
 ;';
-$save = mysql_fetch_assoc(pwg_query($query));
+$save = pwg_db_fetch_assoc(pwg_query($query));
 
 $queries = array(
@@ -345,5 +345,5 @@
 ;';
   $result = pwg_query($query);
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     if ($row['Key_name'] != 'PRIMARY')
@@ -537,5 +537,5 @@
 ;';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   array_push($cat_ids, $row['unique_storage_category_id']);
@@ -562,5 +562,5 @@
 ;';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   array_push($cat_ids, $row['id']);
Index: /trunk/install/upgrade_1.4.0.php
===================================================================
--- /trunk/install/upgrade_1.4.0.php	(revision 4324)
+++ /trunk/install/upgrade_1.4.0.php	(revision 4325)
@@ -43,5 +43,5 @@
   WHERE param = \'prefix_thumbnail\'
 ;';
-list($prefix_thumbnail) = mysql_fetch_row(pwg_query($query));
+list($prefix_thumbnail) = pwg_db_fetch_row(pwg_query($query));
 
 // delete obsolete configuration
@@ -192,8 +192,8 @@
 
 $datas = array();
-list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
 
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   $row['user_id'] = $row['id'];
Index: /trunk/install/upgrade_1.5.0.php
===================================================================
--- /trunk/install/upgrade_1.5.0.php	(revision 4324)
+++ /trunk/install/upgrade_1.5.0.php	(revision 4325)
@@ -80,5 +80,5 @@
 ;';
   $result = pwg_query($query);
-  while ($row = mysql_fetch_assoc($result))
+  while ($row = pwg_db_fetch_assoc($result))
   {
     foreach(preg_split('/[,]+/', $row['keywords']) as $keyword)
@@ -352,5 +352,5 @@
 $query = 'SELECT param FROM '.PREFIX_TABLE.'config';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   unset( $params[ $row['param'] ] );
@@ -453,5 +453,5 @@
 $result = pwg_query($query);
 
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   if (!in_array($row['Field'], $to_keep))
Index: /trunk/install/upgrade_1.7.0.php
===================================================================
--- /trunk/install/upgrade_1.7.0.php	(revision 4324)
+++ /trunk/install/upgrade_1.7.0.php	(revision 4325)
@@ -36,5 +36,5 @@
 define('UPGRADES_PATH', PHPWG_ROOT_PATH.'install/db');
 
-list($dbnow) = mysql_fetch_row(pwg_query('SELECT NOW();'));
+list($dbnow) = pwg_db_fetch_row(pwg_query('SELECT NOW();'));
 define('CURRENT_DATE', $dbnow);
 
